Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Stefano Lattarini <[email-masked]>
Date: Tue, 14 Aug 2012 10:19:04 +0200

On 08/13/2012 08:10 PM, Dennis Clarke wrote:
> 
> 
>>> I suggest you try building with a recent version of gcc.
>>>
>>> If you really must use that other compiler, consider
>>> instrumenting the failing test to make it report the
>>> precise grep command that is failing.  If you do, please
>>> report that, along with the actual/expected output.
>>>
>> How is this not helpful?  It suggested a possible way out from
>> your problem (use GCC), or, failing that, instructions to give
>> the developers what they need to start investigating the problem.
>>
> 
> Part of the reason I am doing all this is to build a recent GCC. 
>
Now, this is a good explanation.  However, note that Autoconf-generated
configure scripts and Automake-generated Makefiles should be portable
enough to work with a decent grep implementation like the one offered
in /usr/xpg4/bin/grep on Solaris.

> Something I do, a lot. I can not abide by the dependance on the 
> very expensive Sun/Oracle developer tools. For the sake of reasonable
> portability across many platforms I would rather work with GCc. 
> 
> see : http://gcc.gnu.org/gcc-4.7/buildstat.html
> 
> I have excellent results for GCC 4.7.1 on i386-pc-solaris2.8 which
> is very very old. However it has the benefit that anything which
> runs flawlessly on Solaris 8 will run everywhere else in the 
> Solaris world.  Sparc is another issue and I am working on that. 
>  
>>> -------------------------------------------------------------
>>>
>>> Essentially, we are Linux, we don't do UNIX, go make UNIX
>>> like Linux.
>>>
>> Actually, most the GNU tools (among them grep) strive to be
>> greatly portable, sometimes even too much IMHO.
>>
>> The issue is that the developers' time is limited, and if they
>> don't have a Solaris machine with a Sun compiler to test with,
>> well, they won't lose their time fighting to get one.  If Oracle
>> is interested in having their systems supported better, it's on
>> them to offer easy access to Solaris and the Sun C compiler to
>> Free Software and Open Source developers; if they don't, their
>> system will get a "best effort" support at most.  I see this as
>> right and proper, and sometimes even too generous.  And if a
>> user of a fringe/uncommon/proprietary systems is interested in
>> making things work for himself, it's on him to provide the
>> developers with enough help or feedback to make that possible;
>> this too seems appropriate to me.
> 
> Hey man, get off my soap box! I was here first.  :-)
>
Yeah, I noticed too late :-)  (after reading the latest messages
in the bug-grep list).

> [SNIP]

Regards,
  Stefano